Get transactions for offramp account
curl --request GET \
--url https://business-api.onboard.xyz/ledger/offramp-accounts/{id}/transactions \
--header 'x-api-key: <api-key>'import requests
url = "https://business-api.onboard.xyz/ledger/offramp-accounts/{id}/transactions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://business-api.onboard.xyz/ledger/offramp-accounts/{id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reference": "<string>",
"currency": "USD",
"status": "PENDING",
"payoutCurrency": "NGN",
"amount": 100,
"rate": 1450.75,
"payoutAmount": 145075,
"recipient": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountName": "John Doe",
"beneficiaryType": "BeneficiaryLocalBankAccount",
"accountIdentifier": "230101010",
"paymentChannelId": "BANK_TRANSFER_NIGERIA",
"bankName": "Great Bank LLC",
"country": "IE"
},
"createdDate": "2023-11-07T05:31:56Z",
"accountTransactionId": "<string>",
"providerReference": "PROV123456",
"offrampAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"blockchainInfo": {
"txHash": "0x093a0b443d5f698d1097368c1c05fab1ee2304e508b36c08bb72c40389c17584",
"recipient": {
"address": "0x2b059a574a35e60b228d10d54fec2671de4928e1",
"memo": "1290122112"
},
"value": "100.01",
"tokenSymbol": "USDT",
"senderAddress": "0x2b059a574a35e60b228d10d54fec2671de4928e1",
"blockNumber": 20564802,
"timestamp": 123,
"explorerUrl": "<string>"
}
}
],
"name": "<string>",
"size": 1,
"totalItems": 1,
"nextPage": 1,
"previousPage": 1
}{
"code": "UNAUTHORIZED",
"message": "Either client security header is missing or it is not valid."
}{
"code": "NOT_FOUND",
"message": "Information could not be found"
}Offramp Accounts
Get Offramp Account Transactions
Get a paginated list of transactions proccessed by offramp accounts
GET
/
ledger
/
offramp-accounts
/
{id}
/
transactions
Get transactions for offramp account
Fetches deposit/payout transactions for an offramp account.
Authorizations
Requires authentication via API key and HMAC signature.
x-api-key: Your API key generated from your Onboard Business dashboard.x-timestamp: Unix epoch timestamp (seconds) used in signature, allowed skew is 30 secondsx-signature: SHA256 HMAC HEX signature calculated overt={x-timestamp}&{requestBody}using your API Secret.
Path Parameters
Query Parameters
Page parameter, starting from 1
Required range:
x >= 1Required range:
1 <= x <= 100Response
List of transactions
Base object for paginated list
List of offramp account transactions
Show child attributes
Show child attributes
Descriptive name for the list
Positive integer
Required range:
x >= 0Positive integer
Required range:
x >= 0Positive integer
Required range:
x >= 0Positive integer
Required range:
x >= 0